autofs-5.1.6 - fix direct mount unlink_mount_tree() path

From: Ian Kent <raven@themaw.net>

Oops!

The path used if unlink_mount_tree() is called for direct mount entries
is not correct, fix it.

Note: the mount table handling has changed and using the --force option
with automount when direct mount maps are large will result in somewhat
larger overhead.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG       |    1 +
 daemon/direct.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index 8bdbc2a6..965b82e4 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -41,6 +41,7 @@ xx/xx/2020 autofs-5.1.7
 - simplify sss source stale check.
 - include linux/nfs.h directly in rpc_subs.h.
 - fix typo in daemon/automount.c.
+- fix direct mount unlink_mount_tree() path.
 
 07/10/2019 autofs-5.1.6
 - support strictexpire mount option.
diff --git a/daemon/direct.c b/daemon/direct.c
index c4948729..410ea980 100644
--- a/daemon/direct.c
+++ b/daemon/direct.c
@@ -311,7 +311,7 @@ int do_mount_autofs_direct(struct autofs_point *ap,
 			return 0;
 		}
 
-		ret = unlink_mount_tree(ap, ap->path);
+		ret = unlink_mount_tree(ap, me->key);
 		if (!ret) {
 			error(ap->logopt,
 			     "already mounted as other than autofs "
